package land.chipmunk.chipmunkmod.song;

import net.minecraft.network.chat.Component;

public class SongLoaderException extends Exception {
    public final Component message;

    public SongLoaderException (final Component message) {
        super();
        this.message = message;
    }

    public SongLoaderException (final Component message, final Throwable cause) {
        super(null, cause);
        this.message = message;
    }

    @Override
    public String getMessage () {
        return message.getString();
    }
}
